/*
Copyright (C) 2005 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformment aux dispositions de la Licence Publique Gnrale GNU, telle que publie par la Free Software Foundation ; version 2 de la licence, ou encore ( votre choix) toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail, voir la Licence Publique Gnrale GNU .

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

package traitement;

import java.awt.*;
import java.awt.event.*;
import java.util.Vector;

public class SelectionDlg extends Dialog implements ActionListener {
    
    private int[] indices = null;
    private List imgList;
    int minsel;
    int maxsel;
    
    public SelectionDlg(Frame f, String question, int minsel, int maxsel, Vector listeImages) {
        super(f, Traitement.rb.getString("Slection_images"), true);
        this.minsel = minsel;
        this.maxsel = maxsel;
        setLayout(new BorderLayout());
        add(new Label(question), BorderLayout.NORTH);
        imgList = new List(10, true);
        for (int i=0; i<listeImages.size(); i++) {
            imgList.add(((ImageIntf)listeImages.elementAt(i)).getNom());
        }
        //imgList.addActionListener(this);
        // un simple clic gnre une action avec Java 1.3...
        add(imgList, BorderLayout.CENTER);
        Button bok = new Button("OK");
        bok.addActionListener(this);
        add(bok, BorderLayout.SOUTH);
        pack();
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                setVisible(false);
                dispose();
            }
        });
    }
    
    protected void alerte(String message) {
        Alerte f = new Alerte((Frame)getOwner(), Traitement.rb.getString("Erreur"), message);
        Point apppoint = getLocationOnScreen();
        f.setLocation(apppoint.x+50, apppoint.y+50);
        f.setVisible(true);
    }
    
    public void actionPerformed(ActionEvent event) {
        indices = imgList.getSelectedIndexes();
        if (indices.length < minsel) {
            Toolkit.getDefaultToolkit().beep();
            alerte(Traitement.rb.getString("Slectionner_au_moins") + " " + minsel + " " + Traitement.rb.getString("images"));
            return;
        } else if (indices.length > maxsel) {
            Toolkit.getDefaultToolkit().beep();
            alerte(Traitement.rb.getString("Slectionner_au_plus") + " " + maxsel + " " + Traitement.rb.getString("images"));
            return;
        }
        setVisible(false);
        dispose();
    }
    
    public int[] getIndices() {
        return(indices);
    }
}
