/*
Copyright (C) 2005 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformment aux dispositions de la Licence Publique Gnrale GNU, telle que publie par la Free Software Foundation ; version 2 de la licence, ou encore ( votre choix) toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail, voir la Licence Publique Gnrale GNU .

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

package traitement;

import java.awt.*;
import java.awt.event.*;

public class FiltreDlg extends Dialog implements ActionListener {
    
    final static int dim = 3; // doit tre un nombre impair
    private TextField[][] tf;
    private int[][] filtre = {{1, 2, 1}, {2, 4, 2}, {1, 2, 1}};
    
    public FiltreDlg(Frame f) {
        super(f, Traitement.rb.getString("Filtre"), true);
        setLayout(new BorderLayout());
        add(new Label(Traitement.rb.getString("Valeurs_filtre")), BorderLayout.NORTH);
        Panel fpanel = new Panel(new GridLayout(dim, dim));
        tf = new TextField[dim][dim];
        for (int j=0; j<dim; j++)
            for (int i=0; i<dim; i++) {
                tf[i][j] = new TextField(""+filtre[i][j], 5);
                fpanel.add(tf[i][j]);
            }
        add(fpanel, BorderLayout.CENTER);
        Button bok = new Button(Traitement.rb.getString("OK"));
        bok.addActionListener(this);
        add(bok, BorderLayout.SOUTH);
        pack();
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                filtre = null;
                setVisible(false);
                dispose();
            }
        });
    }
    
    public void actionPerformed(ActionEvent event) {
        filtre = new int[dim][dim];
        for (int j=0; j<dim; j++)
            for (int i=0; i<dim; i++) {
                try {
                    filtre[i][j] = Integer.valueOf(tf[i][j].getText()).intValue();
                } catch (NumberFormatException ex) {
                    Toolkit.getDefaultToolkit().beep();
                    tf[i][j].requestFocus();
                    tf[i][j].selectAll();
                    return;
                }
            }
        setVisible(false);
        dispose();
    }
    
    public int[][] getFiltre() {
        return(filtre);
    }
}
